## HTTPClient
Class VerifyMD5

    java.lang.Object
      HTTPClient.VerifyMD5

All Implemented Interfaces:
  HashVerifier

class VerifyMD5
extends Object
implements HashVerifier

Field Summary
`(package private) RoResponse` `resp`

Constructor Summary
`VerifyMD5(RoResponse resp)`

Method Summary
`void` `verifyHash(byte[] hash, long len)` This method is invoked when a digest of a stream has been calculated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resp

    RoResponse resp

Constructor Detail

### VerifyMD5

    public VerifyMD5(RoResponse resp)

Method Detail

### verifyHash

    public void verifyHash(byte[] hash,
                           long len)
                    throws IOException

  Description copied from interface: `HashVerifier`
  This method is invoked when a digest of a stream has been calculated. It must verify that the hash (or some function of it) is correct and throw an IOException if it is not.

  Specified by:
    `verifyHash` in interface `HashVerifier`
  Parameters:
    `hash` - the calculated hash
    `len` - the number of bytes read from the stream
  Throws:
    `IOException` - if the verification fails.